package MangaReader::GObject;

use v5.30.0;
use strict;
use warnings;

use Glib::Object::Introspection;
use Cairo::GObject;

    Glib::Object::Introspection->setup(
        basename => 'Gtk',
        version  => '4.0',
        package  => 'Gtk4',
    );

    Glib::Object::Introspection->setup(
        basename => 'Gio',
        version  => '2.0',
        package  => 'G',
    );

    Glib::Object::Introspection->setup(
        basename => 'Gdk',
        version  => '4.0',
        package  => 'Gtk4::Gdk',
    );

    Glib::Object::Introspection->_register_boxed_synonym(
        "cairo", "RectangleInt",
        "gdk_rectangle_get_type"
    );
1
