package MangaReader::View::Generator::MainMenuGenerator;

use v5.30.0;

use parent 'MangaReader::View::Generator';

use strict;
use warnings;

use Mojo::Template;

sub Definition {
    my $mojo_template = Mojo::Template->new;
    $mojo_template->auto_escape(1);
    return $mojo_template->render(<< 'EOF');
<interface>
    <object id="grid" class="GtkGrid">
        <property name="visible">true</property>
        <child>
            <object class="GtkLabel">
                <property name="label"><%= '<big>mangafox.fun</big>' %></property>
                <property name="use-markup">true</property>
                <layout>
                    <property name="column">0</property>
                    <property name="row">0</property>
                </layout>
            </object>
        </child>
        <child>
            <object id="download" class="GtkButton">
                <property name="visible">true</property>
                <property name="label">Download</property>
                <layout>
                    <property name="column">0</property>
                    <property name="row">1</property>
                </layout>
            </object>
        </child>
    </object>
</interface>
EOF
}
1
