package MangaReader::View::Generator;

use v5.30.0;

use strict;
use warnings;

sub new {
    my $class = shift;
    die "$class is abstract" if $class eq __PACKAGE__;
    my $self  = bless {}, $class;
    my $definition = $self->Definition;
    my $builder =
      Gtk4::Builder->new_from_string( $definition, length $definition );
    $self->{builder} = $builder;
    return $self;
}

sub Builder {
    my $self = shift;
    return $self->{builder};
}
1;
